Subject: bug#5283: 23.1.90; If dbus session bus is not available, emacs is busily trying to contact it

From: Michael Albinus <[email-masked]>
Date: Sun, 03 Jan 2010 20:52:37 +0100

Andreas Köhler <[email-masked]> writes:

> Initially, I observed that emacs-snapshot from ubuntu karmic in a
> dtach session as server starts using 100% of the cpu when i logged
> out. It seemed to be trying to contact the dbus session bus all the
> time, even after I logged in again.

When you log out, the D-Bus session bus is killed. Emacs' dbusbind does
not recognize that, and still tries to poll the session bus.

I've added unsetting of $DBUS_SESSION_BUS_ADDRESS in xd_remove_watch,
when the session bus is meant. This shall fix the problem (at least, it
does it for me).

Thanks for reporting, and best regards, Michael.